
package de.ivu.elect.business.fremdkandidatur.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.fremdkandidatur.entity.Fremdkandidatur;
import de.ivu.elect.business.fremdkandidatur.boundary.FremdkandidaturDAO;
import de.ivu.elect.business.fremdkandidatur.boundary.FremdkandidaturCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractFremdkandidaturCreate {

  @Inject
  protected FremdkandidaturDAO dao;

    @Inject
    transient Event<FremdkandidaturCreateEvent> createEvent;



    @Inject
  de.ivu.elect.business.person.control.PersonendatenCreate superCreate;
  


public void save(Fremdkandidatur entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Fremdkandidatur entity) {
        superCreate.sendCreateEvent(entity);
        createEvent.fire(new FremdkandidaturCreateEvent(entity));
  }

}
